All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PAtomicBase Class Reference

`#include <critsec.h>`

Inheritance diagram for PAtomicBase:

## Public Types

typedef int | IntegerType

## Public Member Functions

| ~PAtomicBase ()
| Destroy the atomic integer. More...

## Protected Member Functions

| PAtomicBase (IntegerType value)

## Protected Attributes

pthread_mutex_t | m_mutex
IntegerType | m_value

## Member Typedef Documentation

typedef int PAtomicBase::IntegerType

## Constructor & Destructor Documentation

__inline PAtomicBase::PAtomicBase | ( | IntegerType | value | ) |

explicit protected

__inline PAtomicBase::~PAtomicBase | ( |  | ) |

Destroy the atomic integer.

## Member Data Documentation

pthread_mutex_t PAtomicBase::m_mutex

protected

IntegerType PAtomicBase::m_value

protected

Referenced by PAtomicInteger::IsZero(), PAtomicBoolean::operator bool(), PAtomicInteger::operator IntegerType(), PAtomicInteger::operator!(), PAtomicBoolean::operator!(), PAtomicInteger::operator++(), PAtomicInteger::operator--(), PAtomicInteger::operator=(), PAtomicBoolean::operator=(), PAtomicInteger::SetValue(), and PAtomicBoolean::TestAndSet().

The documentation for this class was generated from the following file:

- critsec.h